{% extends "codex_app/base.html" %}
{% load thumbnail %}
{% load static %}

{% block style %}
.image-list {
display: flex;
}
.image-list .image {
margin: 0.5em;
}

.abstract {
font-style: italic;
}
.count{
margin-top:.6em;
font-size: 80%;
font-weight: bold;
}

.text-list, .code-list{
display: flex;
flex-wrap: wrap;
}

h3{
max-width: 200px;
hyphens: auto,
}
img{
height: 20px;
margin: 1em;
}

.term{
width: 300px;
}



{% endblock %}

{% block content %}

<h2>Terms</h2>

<div class="code-list">
    {% for term in terms %}
    <div class="term">
        <h3>
            <a href="{% url 'viz0.get_term' term.id %}" target="_blank">{{term.name}}</a>
        </h3>
        {% with strid=term.identifier_str %}
        {% with illu_url="codex_app/illus/terms/term-"|add:strid|add:".png" %}
        <img title="{{ term.name }}" src="{% static illu_url %}" />
        {% endwith %}
        {% endwith %}
        <div class="statement">{{ term.statement }}</div>
        <div class="count">use count: {{term.use_count}}</div>
    </div>
    {% endfor %}
</div>
{% endblock %}